
Figure - Bug #112134
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】声音- 勿扰模式-时间表-添加时间表，配置完成后点击添加按钮，会闪退回主界面
2022-09-26 13:57 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-26

Priority: High Due date: 2022-09-29

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

Reproducibility: Every time Fixed Version: 2022-09-27

Test Type: IT Root cause: 编码问题

Description

【前提条件】

设备已开机

【测试步骤】

1、进入设置 声音 勿扰模式-时间表

2、选择“添加更多”并进行配置

3、点击添加按钮

【预期结果】

2、添加成功

【实际结果】

2、点击之后闪退回到主界面

【复现率】

必现

History

#1 - 2022-09-26 14:07 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#2 - 2022-09-26 16:15 - CD TEST-方永红

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019 to

FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

#3 - 2022-09-26 18:34 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V2.0_20220930

#4 - 2022-09-27 10:28 - CD TEST-方永红

- Priority changed from Normal to High

#5 - 2022-09-27 17:54 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- % Done changed from 0 to 60

- Degrated changed from -- to No
- Verified Version set to 编码问题

■ Current conclusion

已定位到问题

■ My analysis

修改双屏显示时，由于忽略了原生Intent所带数据，导致目标页面报空指针异常。

■ Next action 

本地修复验证

#6 - 2022-09-27 18:03 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-27

■ Current conclusion

本地已经验证

■ My analysis

修改双屏显示时，由于忽略了原生Intent所带数据，导致目标页面报空指针异常。

■ submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152114

#7 - 2022-09-28 14:44 - CD AF-陈羽杰

- Verified Version deleted (编码问题)

- Root cause set to 编码问题

#8 - 2022-09-28 14:45 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

#9 - 2022-09-28 14:45 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152114 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Do Not Disturb Mode crash1.Fix Repair Do Not Disturb Mode Schedule Add  Button crash2.Fix  Do Not Disturb Mode Schedule Set Button

crashTC-RID: 1201-0201805IssueID: TS-R-BUG-112134,TS-R-BUG-112130Change-Id: I99d34dedb7cf001eb793a66eec4b8e038ab1a907

Files
添加时间表.log 7.77 KB 2022-09-26 CD TEST-方永红
